Package: groovy.org.codenarc.ruleset

## [Groovy] Class TopLevelDelegate

- groovy.org.codenarc.ruleset.TopLevelDelegate

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `description(String description)`
    `` | `protected RuleSet` | `getRuleSet()`
    `` | `def` | `methodMissing(String name, def args)`
    `` | `def` | `propertyMissing(String name)`
    `` | `void` | `rule(Class ruleClass)`
    `` | `void` | `rule(Class ruleClass, Map properties)`
    `` | `void` | `rule(Class ruleClass, groovy.lang.Closure closure)`
    `` | `void` | `rule(String path)`
    `` | `void` | `rule(String path, groovy.lang.Closure closure)`
    `` | `void` | `ruleset(String path)`
    `` | `void` | `ruleset(String path, groovy.lang.Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @SuppressWarnings(['EmptyMethod', 'UnusedMethodParameter']) void description(String description)

    - #### protected RuleSet getRuleSet()

    - #### def methodMissing(String name, def args)

    - #### def propertyMissing(String name)

    - #### void rule(Class ruleClass)

    - #### void rule(Class ruleClass, Map properties)

    - #### void rule(Class ruleClass, groovy.lang.Closure closure)

    - #### void rule(String path)

    - #### void rule(String path, groovy.lang.Closure closure)

    - #### void ruleset(String path)

    - #### void ruleset(String path, groovy.lang.Closure closure)